Attention is currently required from: Alexander Couzens, Pratikkumar V Prajapati, Stefan Reinauer.
Felix Singer has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/79363?usp=email )
Change subject: inteltool: memory: log pciid for unknown devices
......................................................................
Patch Set 1:
(1 comment)
File util/inteltool/memory.c:
https://review.coreboot.org/c/coreboot/+/79363/comment/a15877ea_9bfc5195 :
PS1, Line 240: pci ids
PCI id
--
To view, visit https://review.coreboot.org/c/coreboot/+/79363?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I25396e5480c45729710b16345f997c78e8bcbccb
Gerrit-Change-Number: 79363
Gerrit-PatchSet: 1
Gerrit-Owner: Alexander Couzens <lynxis(a)fe80.eu>
Gerrit-Reviewer: Pratikkumar V Prajapati <pratikkumar.v.prajapati(a)intel.com>
Gerrit-Reviewer: Stefan Reinauer <stefan.reinauer(a)coreboot.org>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Felix Singer <service+coreboot-gerrit(a)felixsinger.de>
Gerrit-Attention: Stefan Reinauer <stefan.reinauer(a)coreboot.org>
Gerrit-Attention: Alexander Couzens <lynxis(a)fe80.eu>
Gerrit-Attention: Pratikkumar V Prajapati <pratikkumar.v.prajapati(a)intel.com>
Gerrit-Comment-Date: Fri, 01 Dec 2023 10:28:04 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Attention is currently required from: Martin L Roth.
Hello Martin L Roth, build bot (Jenkins),
I'd like you to reexamine a change. Please visit
https://review.coreboot.org/c/coreboot/+/79361?usp=email
to look at the new patch set (#3).
The following approvals got outdated and were removed:
Verified+1 by build bot (Jenkins)
Change subject: util/docker: Add build script
......................................................................
util/docker: Add build script
Integration for additional container images might be added to the
Makefile at some later point. However, in order to build and test new
images just add a simple script which fulfills that requirement until
then.
Change-Id: Ibd0a6d59f395e074c784452849650d7f03b4f1d8
Signed-off-by: Felix Singer <felixsinger(a)posteo.net>
---
A util/docker/build.sh
1 file changed, 25 insertions(+), 0 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/61/79361/3
--
To view, visit https://review.coreboot.org/c/coreboot/+/79361?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Ibd0a6d59f395e074c784452849650d7f03b4f1d8
Gerrit-Change-Number: 79361
Gerrit-PatchSet: 3
Gerrit-Owner: Felix Singer <service+coreboot-gerrit(a)felixsinger.de>
Gerrit-Reviewer: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Martin L Roth <gaumless(a)gmail.com>
Gerrit-MessageType: newpatchset
Attention is currently required from: Martin L Roth.
Hello Martin L Roth,
I'd like you to reexamine a change. Please visit
https://review.coreboot.org/c/coreboot/+/79361?usp=email
to look at the new patch set (#2).
Change subject: util/docker: Add build script
......................................................................
util/docker: Add build script
Integration for additional container images might be added to the
Makefile at some later point. However, in order to build and test new
images just add a simple script which fulfills that requirement until
then.
Change-Id: Ibd0a6d59f395e074c784452849650d7f03b4f1d8
Signed-off-by: Felix Singer <felixsinger(a)posteo.net>
---
A util/docker/build.sh
1 file changed, 21 insertions(+), 0 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/61/79361/2
--
To view, visit https://review.coreboot.org/c/coreboot/+/79361?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Ibd0a6d59f395e074c784452849650d7f03b4f1d8
Gerrit-Change-Number: 79361
Gerrit-PatchSet: 2
Gerrit-Owner: Felix Singer <service+coreboot-gerrit(a)felixsinger.de>
Gerrit-Reviewer: Martin L Roth <gaumless(a)gmail.com>
Gerrit-CC: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Martin L Roth <gaumless(a)gmail.com>
Gerrit-MessageType: newpatchset
Felix Singer has uploaded this change for review. ( https://review.coreboot.org/c/coreboot/+/79361?usp=email )
Change subject: util/docker/archlinux: Add build script
......................................................................
util/docker/archlinux: Add build script
Integration for additional container images might be added to the
Makefile at some later point. However, in order to build and test new
images just add a simple script which fulfills that requirement until
then.
Change-Id: Ibd0a6d59f395e074c784452849650d7f03b4f1d8
Signed-off-by: Felix Singer <felixsinger(a)posteo.net>
---
A util/docker/build.sh
1 file changed, 21 insertions(+), 0 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/61/79361/1
diff --git a/util/docker/build.sh b/util/docker/build.sh
new file mode 100755
index 0000000..e261b9e
--- /dev/null
+++ b/util/docker/build.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env sh
+
+IMAGE_DIR="$1"
+IMAGE_TYPE="$2"
+
+if [ -z "${IMAGE_DIR}" ] || [ -z "${IMAGE_TYPE}" ]; then
+ echo "Usage: $0 <directory> <type>"
+ echo "Missing parameters. Exit."
+ exit 1
+fi
+
+case "${IMAGE_TYPE}" in
+base)
+ ;;
+*)
+ echo "No valid image type given. Exit."
+ exit 1
+ ;;
+esac
+
+docker build --no-cache --tag coreboot/coreboot-sdk-${IMAGE_DIR}-${IMAGE_TYPE}:latest -f ${IMAGE_DIR}/Dockerfile.${IMAGE_TYPE} ./${IMAGE_DIR}
--
To view, visit https://review.coreboot.org/c/coreboot/+/79361?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Ibd0a6d59f395e074c784452849650d7f03b4f1d8
Gerrit-Change-Number: 79361
Gerrit-PatchSet: 1
Gerrit-Owner: Felix Singer <service+coreboot-gerrit(a)felixsinger.de>
Gerrit-MessageType: newchange
Attention is currently required from: Arthur Heymans, Christian Walter, David Hendricks, Felix Held, Nill Ge, Patrick Rudolph, TangYiwei, Tim Chu.
Paul Menzel has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/78327?usp=email )
Change subject: soc/intel/xeon_sp: Redesign resource allocation
......................................................................
Patch Set 3:
(1 comment)
File src/device/pci_device.c:
https://review.coreboot.org/c/coreboot/+/78327/comment/b704e742_23f731ab :
PS3, Line 613: .set_resources = pci_domain_set_resources,
Does this change affect all boards, and should it be a separate commit ordered before?
--
To view, visit https://review.coreboot.org/c/coreboot/+/78327?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Idb29c24b71a18e2e092f9d4953d106e6ca0a5fe1
Gerrit-Change-Number: 78327
Gerrit-PatchSet: 3
Gerrit-Owner: Arthur Heymans <arthur(a)aheymans.xyz>
Gerrit-Reviewer: Christian Walter <christian.walter(a)9elements.com>
Gerrit-Reviewer: David Hendricks <david.hendricks(a)gmail.com>
Gerrit-Reviewer: Johnny Lin <Johnny_Lin(a)wiwynn.com>
Gerrit-Reviewer: Nill Ge <geshijian(a)bytedance.com>
Gerrit-Reviewer: Shuo Liu <shuo.liu(a)intel.com>
Gerrit-Reviewer: TangYiwei
Gerrit-Reviewer: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-CC: Nico Huber <nico.h(a)gmx.de>
Gerrit-CC: Patrick Rudolph <patrick.rudolph(a)9elements.com>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Patrick Rudolph <patrick.rudolph(a)9elements.com>
Gerrit-Attention: David Hendricks <david.hendricks(a)gmail.com>
Gerrit-Attention: Christian Walter <christian.walter(a)9elements.com>
Gerrit-Attention: Arthur Heymans <arthur(a)aheymans.xyz>
Gerrit-Attention: Nill Ge <geshijian(a)bytedance.com>
Gerrit-Attention: TangYiwei
Gerrit-Attention: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Attention: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-Comment-Date: Fri, 01 Dec 2023 08:46:13 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment